# Uses of Class
com.clickhouse.jdbc.parser.Token

Packages that use Token
Package
Description
com.clickhouse.jdbc.parser

## Uses of Token in com.clickhouse.jdbc.parser

Fields in com.clickhouse.jdbc.parser declared as Token
Modifier and Type
Field
Description
`Token`
ParseException.`currentToken`
This is the last token that has been consumed successfully.
`Token`
ClickHouseSqlParser.`jj_nt`
Next token.
`Token`
Token.`next`
A reference to the next regular (non-special) token from the input stream.
`Token`
Token.`specialToken`
This field is used to access special tokens that occur prior to this token, but after the immediately preceding regular (non-special) token.
`Token`
ClickHouseSqlParser.`token`
Current token.
Methods in com.clickhouse.jdbc.parser that return Token
Modifier and Type
Method
Description
`final Token`
ClickHouseSqlParser.`aliasExpr()`
`final Token`
ClickHouseSqlParser.`anyIdentifier()`
`final Token`
ClickHouseSqlParser.`anyKeyword()`
`final Token`
ClickHouseSqlParser.`dateLiteral()`
`final Token`
ClickHouseSqlParser.`getNextToken()`
`Token`
ClickHouseSqlParserTokenManager.`getNextToken()`
Get the next Token.
`final Token`
ClickHouseSqlParser.`getToken(int index)`
`final Token`
ClickHouseSqlParser.`identifier()`
`protected Token`
ClickHouseSqlParserTokenManager.`jjFillToken()`
`final Token`
ClickHouseSqlParser.`keyword()`
`final Token`
ClickHouseSqlParser.`literal()`
`static Token`
Token.`newToken(int ofKind)`
`static Token`
Token.`newToken(int ofKind, String image)`
Returns a new Token object, by default.
`final Token`
ClickHouseSqlParser.`numberLiteral()`
`final Token`
ClickHouseSqlParser.`variable()`
Methods in com.clickhouse.jdbc.parser with parameters of type Token
Modifier and Type
Method
Description
`void`
ClickHouseSqlParserTokenManager.`CommonTokenAction(Token t)`
Constructors in com.clickhouse.jdbc.parser with parameters of type Token
Modifier
Constructor
Description
``
`ParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)`
This constructor is used by the method "generateParseException" in the generated parser.